# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name haddock

%global common_summary Haskell documentation tool

%global common_description A documentation-generation tool for Haskell libraries.

Name:           %{pkg_name}
Version:        2.10.0
Release:        6%{?dist}
Summary:        Haskell %{pkg_name}

Group:          Development/Tools
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-ghc-paths-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-xhtml-devel
BuildRequires:  alex
BuildRequires:  happy

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install

# version the binary so not to conflict with ghc
mv $RPM_BUILD_ROOT%{_bindir}/%{name}{,-%{version}}


%ghc_package

%ghc_description


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc README LICENSE
%{_bindir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}


%ghc_files LICENSE


%changelog
* Mon Oct 01 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.10.0-6
- Rebuild for ghc-7.4.1

* Sat Aug 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.10.0-5
- Rebuild for libffi

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 2.10.0-3
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 2.10.0-2
- rebuild

* Tue Mar 20 2012 Jens Petersen <petersen@redhat.com> - 2.10.0-1
- update to 2.10.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 2.9.2-5
- update to cabal2spec-0.25.2

* Mon Jan 2 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.9.2-4
- rebuild with new ghc-xhtml

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.9.2-3.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 2.9.2-3.1
- rebuild with new gmp

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.9.2-3
- Update to  cabal2spec-0.23.2

* Fri Apr  1 2011 Jens Petersen <petersen@redhat.com> - 2.9.2-2
- minor changes to sync with cabal2spec-0.22.5

* Fri Mar 11 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.9.2-1
- Upgrade to haddock-2.9.2

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.9.1-3
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 2.9.1-1
- update to 2.9.1

* Thu Jan  6 2011 Jens Petersen <petersen@redhat.com> - 2.7.2-3
- update to cabal2spec-0.22.4

* Wed Nov 10 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 2.7.2-2
- Include LICENSE and README. 

* Fri Nov 5 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 2.7.2-1
- Modified dependencies. Added alex and happy.
- Changing binary executable name to haddock-version. ghc already ships with haddock binary.

* Fri Nov  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.7.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
